List divisions
curl --request GET \
--url https://softmax.com/api/observatory/v2/divisions \
--header 'Authorization: Bearer <token>'import requests
url = "https://softmax.com/api/observatory/v2/divisions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://softmax.com/api/observatory/v2/divisions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"name": "<string>",
"level": 123,
"type": "<string>",
"hidden": true,
"league": {
"name": "<string>",
"commissioner_key": "<string>",
"id": "<string>",
"game": {
"name": "<string>",
"owner_user_id": "<string>",
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"coworld_name": "<string>",
"description": "<string>",
"notes": "<string>",
"default_league_id": "<string>",
"coworld_id": "<string>",
"canonical_coworld_id": "<string>",
"coworld_tags": [
"<string>"
]
},
"mod": {
"name": "<string>",
"owner_user_id": "<string>",
"id": "<string>",
"game": {
"name": "<string>",
"owner_user_id": "<string>",
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"coworld_name": "<string>",
"description": "<string>",
"notes": "<string>",
"default_league_id": "<string>",
"coworld_id": "<string>",
"canonical_coworld_id": "<string>",
"coworld_tags": [
"<string>"
]
},
"created_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"notes": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"logs_reporter_id": "<string>",
"handicaps": {},
"handicap_dynamic": {
"max_handicap": 0.5,
"curve": 1,
"min_entrants": 3,
"dominance_ratio_for_max": 3,
"winrate_for_max": 0.85
},
"short_name": "<string>",
"description": "<string>",
"commissioner_config": {},
"commissioner_migration_version": "<string>",
"rounds_paused_at": "2023-11-07T05:31:56Z",
"submissions_locked_at": "2023-11-07T05:31:56Z",
"settings": {},
"filler_policy_version_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"seed_policy_version_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"seed_policy_number": 123,
"rules": {},
"public": false,
"hidden": false,
"is_game_of_week": false,
"disabled_at": "2023-11-07T05:31:56Z",
"notes": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"archived_at": "2023-11-07T05:31:56Z",
"round_schedule": {},
"notes": "<string>",
"commissioner_description": {
"round_schedule": "<string>",
"round_structure": "<string>",
"leaderboard_rules": "<string>",
"next_round": "<string>",
"scoring_mechanics": "<string>",
"changelog": [
{
"date": "<string>",
"title": "<string>",
"detail": "<string>",
"category": "<string>"
}
]
}
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Leagues
List divisions
Return active visible competition divisions, newest first.
GET
/
v2
/
divisions
List divisions
Authorizations
Bearer token issued by Softmax
Query Parameters
Return divisions from this league only.
Pattern:
^league_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Return divisions with this configured type only.
Response
Successful Response
Division ID.
Human-readable division name.
Division's ordered level within its league.
Competition role of this division.
Whether the division is omitted from division listings.
League containing this division.
Show child attributes
Show child attributes
Time when the division was created.
Public description of the division.
Time when the division was archived, or null while it is active.
Structured round schedule, or null when no schedule is configured.
Notes about the division.
Commissioner-authored explanation of the division.
Show child attributes
Show child attributes